using System;

namespace Zad1_Pikado
{
    class Program
    {

        static void Main(string[] args)
        {
            string[] vrsta = Console.ReadLine().Split(' ');
            long n = Convert.ToInt64(vrsta[0]);
            long k = Convert.ToInt64(vrsta[1]);
            long[] brojevi = new long[n];
            long[] brojPuta = new long[n];
            long br = 0;
            string output = "";

            vrsta = Console.ReadLine().Split(' ');

            for(long i = 0; i < n; i++)
            {
                brojevi[i] = Convert.ToInt64(vrsta[i]);
            }

            for (long i = 0; i < n; i++)
            {
                long br1 = 0;
                for (long j = 0; j < n; j++)
                {
                    if (brojevi[i] == brojevi[j])
                    {
                        br1 += 1;
                        brojPuta[j] = br1;
                    }
                }
            }

            for (long i = 0; i < n; i++)
            {
                if(brojPuta[i] >= k)
                {
                    if (!output.Contains(Convert.ToString(brojevi[i])))
                    {
                        br++;
                        output += Convert.ToString(brojevi[i]) + " ";
                    }
                }
            }

            Console.WriteLine(br);
            Console.Write(output);

            Console.ReadKey();
        }
    }
}